Pterodactyldocs
Application A P I

Get user by external ID

Returns a single panel user by its external identifier.

GET/api/application/users/external/{external_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

external_id*string

The external ID.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/application/users/external/external-identifier"
{  "object": "user",  "attributes": {    "id": 22021,    "external_id": "string",    "uuid": "e0dcf339-0bc7-4561-ab00-369ac65ab880",    "username": "floy88_afzdiebpaq",    "email": "[email protected]",    "first_name": "Cruz",    "last_name": "Adams",    "language": "en",    "root_admin": false,    "2fa": false,    "created_at": "2026-09-22T14:45:22+00:00",    "updated_at": "2026-09-22T14:45:22+00:00"  },  "meta": {    "resource": "https://panel.example.test/api/application/users/1"  }}